QGIS Application - Bug report #13925
Qlr-file saves datasource path not as absolute path
2015-12-01 07:59 AM - Filip Mahieu

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.8.3 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21943
Description

When | make a gir-file, the datasource path is stored in the glr-file as a relative path. It would be better to save as a absolute path,

regardless of what the project path-definition (absolute or relative) is.
I made the qlr starting from a blank project without saving the project.

There was a closed issue that would have fixed it, that | did find yesterday but not anymore today...

Related issues:

Related to QGIS Application - Bug report # 10858: Datasource file name in .ql... Closed 2014-07-09
Related to QGIS Application - Bug report # 14340: layer definition file load... Closed 2016-02-20
History

#1 - 2015-12-06 06:35 AM - Sebastian Dietrich

Filip Mahieu wrote:

There was a closed issue that would have fixed it, that | did find yesterday but not anymore today...

Is #10858 the issue you mean?

| think it is necessary to let the user decide whether the paths in the glr-file should be absolute or relative.

- If the user intends to move the qir-file along with the data source(s), paths need to be relative.

- If the gir-file references a common resource, e.g. a network drive, paths should be absolute.

#2 - 2015-12-07 12:48 AM - Filip Mahieu

Maybe that's a good idea Sebastian, but now sometimes it's relative and sometimes absolute, and there seems no control about it (I can't find it obvious..).

It's indeed #10858 | didn't find, but | read it again and it's a bit a different content there though..

#3 - 2016-05-20 04:18 PM - Charles Clancy

I'm running Essen, and if | create the layer definition file with path set to relative, it can't find the datasource if | load the glr into a project with existing

layers, even though nothing about the folder structure has changed or been moved. The qIr file works fine when dropped into an empty project. One fix was

to edit the glr file with the absolute path. Another of course would be to re-create the layer file with project path set to absolute.

The bottom line is that relative should work if nothing has changed in the file structure - Correct?

2025-04-27

12




#4 - 2016-09-16 02:56 AM - Bo Thomsen

The behaviour regarding relative/absolute path definitions in glr files follows the project options "General settings" -> "Save path" which can be set to

"absolute" or "relative". The created glr file will use the same setting as the project at creation time.

Works for 2.16. Haven't checked for earlier version af Qgis

#5 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#6 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
